
Foreman - Bug #7185

search for host by included class name does not filter host results

08/20/2014 02:10 PM - Joshua Hoblitt

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Search   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Searching from the `all hosts` page with a query like `class = mysite::foo` matches all hosts known to foreman instead of only the

hosts that include the class via enc.  The same problem is seen when searcing for a class name via the `puppet classes` pages and

then clicking on the "number of hosts" link, which always returns a list of all hosts known to foreman.

Related issues:

Is duplicate of Foreman - Bug #7035: Unable to filter on classes (v1.5.2) Closed 08/12/2014

History

#1 - 08/21/2014 03:30 AM - Dominic Cleal

- Is duplicate of Bug #7035: Unable to filter on classes (v1.5.2) added

#2 - 08/21/2014 03:30 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, I think this is covered by #7035 which has a patch under review/test.
